Subject: bug#32413: 25.2; When run as root, emacs writes dconf files in a non-root user's /run/user/XXX directory

From: Eli Zaretskii <[email-masked]>
Date: Fri, 10 Aug 2018 15:17:26 +0300

> From: Vincent Lefevre <[email-masked]>
> Date: Fri, 10 Aug 2018 11:30:09 +0200
> 
> Emacs should never create files/directories if the user hasn't
> explicitly asked it to do that

I don't agree with this principle, not in this general form.  (The "in
a directory owned by another user" part, to which I think I agree, as
written, was not a qualification for this general statement, so it
doesn't count for the purposes of the principle itself.)

As just one random example of what Emacs "should never do", we write
the customizations to a file "without the user's explicit request".